
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <avr/eeprom.h>
#include <stdarg.h>
#include <stdlib.h>
#include <ctype.h>
#include <stdio.h>
#include <string.h>
#include <avr/wdt.h>
#include <util/delay.h>

#ifndef _DIV_H
 #define _DIV_H

#ifdef _AVR_IOMX8_H_ // falls Mega88 gewhlt
// Achtung: Festlegung gilt standardmig fr Mega8/16/32,
// immer berprfen bei Prozessorwechsel, ob Zuordnung pat!
//     8/16/32 88
 #define UDR   UDR0
 #define UCSRA UCSR0A
 #define UDRE  UDRE0
 #define UBRRH UBRR0H
 #define UBRRL UBRR0L
 #define UCSRB UCSR0B
 #define RXEN  RXEN0
 #define TXEN  TXEN0
 #define TXC   TXC0
 #define RXCIE RXCIE0
 #define USART_RXC_vect USART_RX_vect
 #define TCCR0 TCCR0B // gilt nur fr Vorteilung
 #define TCCR2 TCCR2B // 
 #define TIMSK TIMSK0 // gilt nur fr Overflow und Compare Match A (TOIE0,OCIE0)
 #define TIMER2_COMP_vect TIMER2_COMPA_vect
#endif


#define  BAUD 38400
#define  UART_BAUD_CALC(UART_BAUD_RATE,F_OSC) ((F_OSC)/((UART_BAUD_RATE)*16L)-1)

uint8_t RS232SPuffer[64], SPufferWr, SPufferRd, SendArt;

uint8_t ZeichenSendenPruefung(void); // zykl. Aufruf notwendig
void SendZeich(uint8_t x);
void SendZeichDirekt(uint8_t Zeich); // 
void SendString_P(const prog_char Txt[]); /* String aus Flash */
void SendString(uint8_t Txt[]); /* String aus RAM */
void SendLF(void);
void SendDezH(int32_t Wert, uint8_t St); /* St: Kommastelle */
void SendTemp(int16_t Temp);  // Temp um Faktor=10 erhht

 


#endif
